Bug 993130 - Latest JBoss deployments try to use management interface even if it's down
Latest JBoss deployments try to use management interface even if it's down
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 12:40 EDT by Jhon Honce
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:59:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-08-05 12:40:17 EDT
Description of problem:
Latest JBoss deployments try to use management interface even if it's down

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create an JBoss AS/EAP application from Spint 2.0.30 code
2.
3.

Actual results:
Deployment must wait for timeouts causing startup issues

Expected results:


Additional info:
Comment 1 Jason DeTiberus 2013-08-05 12:41:55 EDT
https://github.com/openshift/origin-server/pull/3288
Comment 2 Jhon Honce 2013-08-05 12:44:49 EDT
Correction the code to fix is for Sprint 2.0.31
Comment 3 Jhon Honce 2013-08-05 20:26:53 EDT
For stage, https://github.com/openshift/origin-server/pull/3295
Comment 4 Meng Bo 2013-08-06 05:10:54 EDT
Checked this issue on devenv_3616, with ogm quickstart which was not listening management port.

After git push, control script will skip if the port does not found. And the app startup correctly after git push.

remote: Starting application ogm
remote: Deploying JBoss
remote: Starting jbossas cart
remote: Found 127.0.251.1:8080 listening port
remote: CLIENT_MESSAGE: Timed out waiting for management listening port
To ssh://137991513701286596837376@ogm-bmeng2.dev.rhcloud.com/~/git/ogm.git/
   98807ed..bed6119  master -> master


Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.